Package org.springframework.cache.interceptor

# Interface CacheOperationInvocationContext<O extends BasicOperation>

Type Parameters:
  `O` - the operation type

All Known Implementing Classes:
  `CacheAspectSupport.CacheOperationContext`

public interface CacheOperationInvocationContext<O extends BasicOperation>
Representation of the context of the invocation of a cache operation.

The cache operation is static and independent of a particular invocation; this interface gathers the operation and a particular invocation.

Since:
  4.1
Author:
  Stephane Nicoll

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getArgs()`
Return the argument list used to invoke the method.
`Method`
`getMethod()`
Return the method which was invoked.
`O`
`getOperation()`
Return the cache operation.
`Object`
`getTarget()`
Return the target instance on which the method was invoked.

## Method Details

### getOperation

O getOperation()
Return the cache operation.

### getTarget

Object getTarget()
Return the target instance on which the method was invoked.

### getMethod

Method getMethod()
Return the method which was invoked.

### getArgs

Object[] getArgs()
Return the argument list used to invoke the method.